Skip to main content

Retrieve all subscriptions for an account

Retrieves all subscriptions for an account, providing subscription details based on the account and optional criteria such as subscription ID or type. Use this to review or manage subscriptions associated with a specific account.

HTTP method and endpoint

GET /license/account/{accountId}/subscriptions

Token usage

NetApp Console service token.

Usage notes

Retrieves the subscription information for a specified subscription.

Note:

  • In the context of an account provided in URL parameters, the API returns subscriptions for all accounts.

  • If the subscription ID is provided, the API returns only the subscription details or an empty response.

  • The API authorizes three types of calls: user calls, agent calls (Console agent), and service calls (with a predefined scope).

  • For a service call, you must send the subscription type as a query parameter (the API validates the scope against the subscription type).

Parameters

Name Type In Required Description

subscriptionId

string

query

False

subscriptionType

string

query

False

accountId

string

path

True

X-Service-Request-Id

string

header

False

Request identifier

Response

Status: 200, Default Response
Name Type Required Description

subscriptions

array[subscriptions]

False

Example response
{
  "subscriptions": [
    {
      "subscriptionId": "string",
      "subscriptionType": "string"
    }
  ]
}

Response

Status: 4xx, Error response
Name Type Required Description

errorCode

string

False

Error code

error

string

False

Error code/category

message

string

False

Error description message

Example response
{
  "errorCode": "string",
  "error": "string",
  "message": "string"
}

Definitions

See Definitions

subscriptions

Name Type Required Description

subscriptionId

string

False

subscriptionType

string

False

expirationDate

integer

False

numberOfAssociatedCvos

integer

False

lastModified

integer

False